using System.Runtime.InteropServices;

namespace Decal.Interop.DHS;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class _IHotkeySystemEvents_SinkHelper : _IHotkeySystemEvents
{
	public _IHotkeySystemEvents_HotkeyEventEventHandler m_HotkeyEventDelegate;

	public int m_dwCookie;

	public void HotkeyEvent(string P_0, ref bool P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_HotkeyEventDelegate != null)
		{
			m_HotkeyEventDelegate(P_0, ref P_1);
		}
	}

	internal _IHotkeySystemEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_HotkeyEventDelegate = null;
	}
}
